package com.phm;

import org.dromara.easyes.starter.register.EsMapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;

/**
 * 启动程序
 *
 * @author phm
 */
@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class}, scanBasePackages = {"com.phm"})
@EsMapperScan("com.phm.manage.es.mapper")
public class PHMApplication {
    public static void main(String[] args) {
        // System.setProperty("spring.devtools.restart.enabled", "false");
        SpringApplication.run(PHMApplication.class, args);
        System.out.println(
                "         ___ ___    _____   \n" +
                "______  /   |   \\  /     \\  \n" +
                "\\____ \\/    ~    \\/  \\ /  \\ \n" +
                "|  |_> >    Y    /    Y    \\\n" +
                "|   __/ \\___|_  /\\____|__  /\n" +
                "|__|          \\/         \\/ ");
    }
}
