package com.phm.manage.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Description 模型类型
 *
 * @Author WGK
 * @Date 2023/9/6 15:19
 */
@AllArgsConstructor
@Getter
public enum ModelEnum {

    /*
     * 虚警抑制模型
     */
    FALSE_ALARM("虚警抑制模型", "FALSE_ALARM"),

    /*
     * 地面诊断模型
     */
    DIAGNOSIS("地面诊断模型", "GROUND_DIAGNOSIS"),

    /*
     * 深度隔离模型
     */
    DEEP_ISOLATION("深度隔离模型", "DEEP_ISOLATION");


    private final String name;

    private final String type;

}
