package com.phm.netty.codec.hexbyte;

import io.netty.buffer.ByteBuf;
import io.netty.channel.ChannelHandlerContext;
import io.netty.handler.codec.MessageToByteEncoder;

/**
 * @Description HexByteArrayEncoder 编码器，将十六进制字节数组编码为字节数据
 * @Author WGK
 * @Date 2023/9/21 14:33
 */
public class HexByteArrayEncoder extends MessageToByteEncoder<byte[]> {
    @Override
    protected void encode(ChannelHandlerContext ctx, byte[] msg, ByteBuf out) throws Exception {
        out.writeBytes(msg);
    }
}
