package com.phm.netty.domain;

import lombok.Data;

/**
 * @Description CommonResponse
 * @Author WGK
 * @Date 2023/10/7 14:50
 */
@Data
public class CommonResponse {
    private String id;
    private Integer response = 200;

    public CommonResponse(String id) {
        this.id = id;
    }

    public CommonResponse() {
    }

    /**
     * 成功
     *
     * @param id id
     * @return 结果
     */
    public static CommonResponse buildSuccess(String id) {
        return new CommonResponse(id);
    }

    /**
     * 成功
     *
     * @return 结果
     */
    public static CommonResponse success() {
        return new CommonResponse();
    }
}
