package com.phm.manage.controller;

import com.phm.manage.service.ISortieParameterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.phm.manage.domain.SortieParameter;
import com.phm.manage.domain.common.CommonResult;

/**
 * @Description SortieParameterController
 * @Author WGK
 * @Date 2023/11/27 10:34
 */
@RestController
@RequestMapping("/manage/sortieParameter")
public class SortieParameterController {

    @Autowired
    private ISortieParameterService sortieParameterService;

    @GetMapping(value = "/{id}")
    public CommonResult<String> importData(@PathVariable("id") Long id) {
        return CommonResult.success(sortieParameterService.getSortieData(id));
    }
}
