package com.phm.manage.domain.common;

import com.phm.manage.util.JaxbUtil;
import lombok.Getter;
import lombok.Setter;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;



/**
 * @author wgk
 */
@Getter
@Setter
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "root")
public class OrderXmlVO {
    /**
     * 指令编码
     */
    private String orderCode;

    /**
     * 指令名称
     */
    private String name;
    /**
     * 指令类型
     */
    private String type;


    /**
     * 架次
     */
    private String sortie;

    /**
     * 步长
     */
    private String step;

    /**
     * 指令描述
     */
    private String description;

    public static void main(String[] args) throws Exception {
        System.out.println(JaxbUtil.convertToXml(new OrderXmlVO()));
    }
}
