package com.phm.manage.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Description 模型类型
 *
 * @Author WGK
 * @Date 2023/9/6 15:19
 */
@AllArgsConstructor
@Getter
public enum DataTypeEnum {
    SOURCE_DATA("源数据", 0),
    ABNORMAL("异常值剔除", 1),
    COMPLETION("缺失值补全", 2),
    FALSE_ALARM("虚警抑制", 3),
    GROUND_DIAGNOSIS("地面诊断", 4),
    DEEP_ISOLATION("深度隔离", 5),
    FORECAST("故障预测", 6);
    private final String name;

    private final Integer type;

}
