package com.phm.manage.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Description FeatureModuleEnum
 * @Author WGK
 * @Date 2023/9/7 14:23
 */
@AllArgsConstructor
@Getter
public enum FeatureModuleEnum {

    /*
     * 综合数据管理模块
     */
    COMPREHENSIVE_DATA("综合数据管理", "COMPREHENSIVE_DATA"),

    /*
     * 增强故障诊断模块
     */
    ENHANCED_FAILURE_DIAGNOSIS("增强故障诊断", "ENHANCED_FAILURE_DIAGNOSIS"),

    /*
     * 故障预测模块
     */
    FAULT_PREDICTION("故障预测", "FAULT_PREDICTION"),

    /*
     * 维修测试控制模块
     */
    MAINTENANCE_CONTROL("维修测试控制", "MAINTENANCE_CONTROL");

    private final String name;

    private final String type;
}
