package com.phm.manage.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Description Order
 *
 * @Author WGK
 * @Date 2023/9/6 15:19
 */
@AllArgsConstructor
@Getter
public enum OrderEnum {

    /*
     * 数据下载
     */
    DATA_DOWN("数据下载", "DATA_DOWN"),

    /*
     * 虚警抑制模型
     */
    FALSE_ALARM("虚警抑制", "FALSE_ALARM"),

    /*
     * 地面诊断模型
     */
    GROUND_DIAGNOSIS("地面诊断", "GROUND_DIAGNOSIS"),

    /*
     * 深度隔离模型
     */
    DEEP_ISOLATION("深度隔离", "DEEP_ISOLATION"),

    /*
     * 故障预测
     */
    FORECAST("故障预测", "FORECAST");


    private final String name;

    private final String type;

}
