package com.phm.netty.client.handler;

import org.springframework.stereotype.Component;

import io.netty.channel.ChannelInitializer;
import io.netty.channel.ChannelPipeline;
import io.netty.channel.socket.nio.NioDatagramChannel;

/**
 * @Description NettyClientInitialize 客户端初始类
 * @Author WGK
 * @Date 2023/9/15 9:21
 */
@Component
public class NettyUdpClientInitialize extends ChannelInitializer<NioDatagramChannel> {
    @Override
    protected void initChannel(NioDatagramChannel nioDatagramChannel) throws Exception {
        ChannelPipeline pipeline = nioDatagramChannel.pipeline();
        pipeline.addLast(new NettyUdpClientHandler());
    }
}
