package com.phm.netty.codec.message;

import com.phm.netty.domain.Message;
import io.netty.buffer.ByteBuf;
import io.netty.channel.ChannelHandlerContext;
import io.netty.handler.codec.MessageToByteEncoder;
import io.netty.util.CharsetUtil;

/**
 * @Description MessageEncodeHandler 编码
 *
 * @Author WGK
 * @Date 2023/9/14 11:42
 */
public class MessageEncodeHandler extends MessageToByteEncoder<Message> {

    @Override
    protected void encode(ChannelHandlerContext channelHandlerContext, Message message, ByteBuf out) throws Exception {
        out.writeBytes((message.toJsonString()).getBytes(CharsetUtil.UTF_8));
    }
}
